# CMxBooleanArray Class

Namespace: `ArchestrA.Toolkit`

CMxBooleanArray is derived from CMxArray and provides support for Boolean Array Attributes.

**Syntax**

```csharp
public class CMxBooleanArray : CMxArray<bool>
```

## CMxBooleanArray Properties

### Value Property

Provides a property to get and set the value as a bool array.

**Syntax**

```csharp
public bool[] Value { get; set; }
```

**Returns**

bool[ ]

### Property to Get and Set Bool Value using the [ ] operator

Provide a property to get and set the bool value of an element using [ ] operator.

**Syntax**

```csharp
public bool this[short i] { get; set; }
```

**Returns**

bool

## CMxBooleanArray Constructors

### CMxBooleanArray Constructor (int)

Constructor that initializes the array to a default length.

**Syntax**

```csharp
public CMxBooleanArray(int length);
```

**Parameters**

**`length`**

[in] int value that holds the length of the array.

### CMxBooleanArray Constructor (bool[ ])

Provides a constructor to initialize the array with a bool array.

**Syntax**

```csharp
public CMxBooleanArray(bool[] value);
```

**Parameters**

**`value`**

[in] bool [ ] value to be set.

### CMxBooleanArray Constructor (SupportWrapper, string)

Provides a constructor to initialize the class for use in a primitive wrapper.

**Syntax**

```csharp
public CMxBooleanArray (SupportWrapper _wrapper, string _attributeRef);
```

**Parameters**

**`_wrapper`**

[in] SupportWrapper.

**`_attributeRef`**

[in] string value that holds the attribute reference.

## CMxBooleanArray Method

### Set Method

Provides a method to set the value of the Attribute from a CMxBooleanArray.

**Syntax**

```csharp
public void Set(CMxBooleanArray newValue);
```

**Parameters**

**`newValue`**

[in] CMxBooleanArray value to be set.

## CMxBooleanArray Operator Overloads

### CMxBooleanArray Operator Overload (bool[ ])

Provides an operator to convert a bool array into a CMxBooleanArray.

**Syntax**

```csharp
public static implicit operator CMxBooleanArray(bool[] val);
```

**Parameters**

**`val`**

[in] bool [ ] value to convert to CMxBooleanArray.

**Returns**

CMxBooleanArray

### CMxValue Operator Overload

Provides an operator to convert a CMxBooleanArray into a CMxValue.

**Syntax**

```csharp
public static implicit operator CMxValue(CMxBooleanArray val);
```

**Parameters**

**`val`**

[in] CMxBooleanArray value to convert to CMxValue.

**Returns**

CMxValue

### Bool[ ] Overload

Provides an operator to convert a CMxBooleanArray into a bool array.

**Syntax**

```csharp
public static implicit operator bool[](CMxBooleanArray val);
```

**Parameters**

**`val`**

[in] CMxBooleanArray value to convert to bool[].

**Returns**

bool[ ]

### CMxBooleanArray Operator Overload (CMxValue)

Provides an operator to convert a CMxValue into a CMxBooleanArray.

**Syntax**

```csharp
static implicit operator CMxBooleanArray(CMxValue val);
```

**Parameters**

**`val`**

[in] CMxValue value to convert to CMxBooleanArray.

**Returns**

CMxBooleanArray
